Bug 1416320 - Screendump to a stop guest cause blank display in remote-viewer
Summary: Screendump to a stop guest cause blank display in remote-viewer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.9
Hardware: x86_64
OS: All
unspecified
low
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 09:38 UTC by Guo, Zhiyi
Modified: 2017-02-03 12:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 12:18:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Guo, Zhiyi 2017-01-25 09:38:53 UTC
Description of problem:
Use std vga + spice display in qemu cli, screendump to a stop guest cause blank display in remote-viewer 

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.501.el6.x86_64.rpm
virt-viewer-2.0-18.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot rhel6.9 guest with cli:
/usr/libexec/qemu-kvm \
-name rhel6.9-sp3 \
-M rhel6.6.0 \
-enable-kvm \
-m 4096 \
-smp 12,sockets=12,cores=1,threads=1 \
-uuid e88068e6-0150-ca26-be33-33cdf75489bb \
-nodefconfig \
-nodefaults \
-device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x5.0x7 \
-device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x5 \
-device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x5.0x1 \
-device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x5.0x2 \
-drive file=/root/1400438/rhel69,if=none,id=drive-virtio-disk0,format=qcow2,cache=none \
-device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 \
-netdev tap,id=hostnet0 \
-device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:17:42:df,bus=pci.0,addr=0x3 \
-device usb-tablet,id=input0 \
-device intel-hda,id=sound0,bus=pci.0,addr=0x4 \
-device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 \
-monitor stdio \
-spice port=5900,disable-ticketing \
-vga std \

2.Connect to guest by remote-viewer vnc://hostip:5900
3.Stop guest and screendump in hmp via:(qemu) stop
(qemu)screendump /tmp/p.ppm

Actual results:
A blank screen display in remote-viewer, blank remain in disconnect/connect remote display. Display back to normal when continuing guest. 

Expected results:
Display normal after step 3

Additional info:
No such issue found in std + vnc, qxl+vnc, qxl+spice.

Comment 2 Gerd Hoffmann 2017-01-30 08:38:25 UTC
(In reply to Guo, Zhiyi from comment #0)
> Description of problem:
> Use std vga + spice display in qemu cli, screendump to a stop guest cause
> blank display in remote-viewer 

Does this happen on RHEL-7 too?

Comment 3 Guo, Zhiyi 2017-02-02 07:51:59 UTC
Check on rhel7.3 host with qemu-kvm-1.5.3-129.el7.x86_64, no such issue happen in same device configuration.

Comment 4 Gerd Hoffmann 2017-02-02 08:17:08 UTC
(In reply to Guo, Zhiyi from comment #3)
> Check on rhel7.3 host with qemu-kvm-1.5.3-129.el7.x86_64, no such issue
> happen in same device configuration.

Good, so it is fixed already upstream.  The changes which I think fixed this are non-trivial though, it involves a major cleanup of the ui/console.c code.

I'd suggest to close as CLOSE/WONTFIX candidate.  areis?

Comment 5 Ademar Reis 2017-02-03 12:18:10 UTC
(In reply to Gerd Hoffmann from comment #4)
> (In reply to Guo, Zhiyi from comment #3)
> > Check on rhel7.3 host with qemu-kvm-1.5.3-129.el7.x86_64, no such issue
> > happen in same device configuration.
> 
> Good, so it is fixed already upstream.  The changes which I think fixed this
> are non-trivial though, it involves a major cleanup of the ui/console.c code.
> 
> I'd suggest to close as CLOSE/WONTFIX candidate.  areis?

agree


Note You need to log in before you can comment on or make changes to this bug.